> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get closings

> Get all closings for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/banks/closings
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/closings:
    get:
      tags:
        - Banks
      summary: Get closings
      description: Get all closings for the authenticated user
      operationId: getClosings
      parameters:
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records updated after the specified date.
          schema:
            type: string
          example: '1970-01-01'
        - name: cursor
          in: header
          description: >-
            The cursor from the response of the previous GET request. For
            paginated responses only
          schema:
            type: string
        - name: limit
          in: header
          description: >-
            The page size, i.e. the number of items to return. For paginated
            responses only
          schema:
            type: integer
            format: int32
        - name: bankAccountId
          in: query
          description: >-
            Bank filter, the id of the bank account used to filter bank
            closings.
          schema:
            type: integer
            format: int64
        - name: status
          in: query
          description: >-
            Status filter - returns all bank reconciliations for the specified
            statuses. If null or empty, returns all records.
          schema:
            type: array
            items:
              type: string
              enum:
                - IN_PROGRESS
                - INACTIVE
                - DELETED
                - COMPLETED
                - DISCREPANCY
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEClosingDTOList'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEClosingDTOList:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/ClosingDTO'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    ClosingDTO:
      required:
        - beginDate
        - endBalance
        - endDate
        - period
        - status
      type: object
      properties:
        id:
          type: string
          description: Id of the closing, required when updating an existing closing
        status:
          type: string
          description: Status of the closing
          enum:
            - IN_PROGRESS
            - INACTIVE
            - DELETED
            - COMPLETED
            - DISCREPANCY
            - PENDING
        bankAccountId:
          type: integer
          description: Id of the user's bank account
          format: int64
        period:
          type: string
          description: Period of the closing
          readOnly: true
          enum:
            - YEAR_END_CLOSING
            - MONTH_END_CLOSING
        beginDate:
          type: string
          description: Begin date of the closing
          format: date-time
        endDate:
          type: string
          description: End date of the closing
          format: date-time
        endBalance:
          type: number
          description: End balance of the closing
        completedDate:
          type: string
          description: Date the closing was completed
          format: date-time
          readOnly: true
        statementUrl:
          type: string
          description: URL at which the bank statement is located
        createdByUserId:
          type: string
          description: >-
            Id of the user (from the Tight Partner's DB)  that created this
            closing
          readOnly: true
        closedByUserId:
          type: string
          description: >-
            Id of the user (from the Tight Partner's DB) that completed this
            closing
          readOnly: true
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````